package com.ruoyi.api.service.impl;

import com.ruoyi.api.domain.InStoreDto;
import com.ruoyi.api.domain.OutStoreDto;
import com.ruoyi.api.domain.StockDto;
import com.ruoyi.api.mapper.ApiMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/1/17  14:26
 */
@Service
public class ApiService {
    @Autowired
    private ApiMapper mapper;

    public int submintInsertRecordIn(InStoreDto inStore) {
        return mapper.submintInsertRecordIn(inStore);
    }

    public int submintInsertLedger(InStoreDto inStore) {
        return mapper.submintInsertLedger(inStore);
    }

    public int submitInsertRecordOut(OutStoreDto outStoreDto) {
        return mapper.submitInsertRecordOut(outStoreDto);
    }

    public int updataLedger(OutStoreDto outStoreDto) {
        return mapper.updataLedger(outStoreDto);
    }

    public List<StockDto> storeCheckSelect() {
        return mapper.storeCheckSelect();
    }

    public void insertCheckInfo(List<StockDto> list, Long checkId) {
        mapper.insertCheckInfo(list,checkId);
    }
}
