package com.ruoyi.api.mapper;

import com.ruoyi.api.domain.InStoreDto;
import com.ruoyi.api.domain.OutStoreDto;
import com.ruoyi.api.domain.StockDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/1/17  14:28
 */
@Repository
public interface ApiMapper {
    int submintInsertRecordIn(@Param("inStore") InStoreDto inStore);

    int submintInsertLedger(@Param("inStore") InStoreDto inStore);

    int submitInsertRecordOut(@Param("outStoreDto") OutStoreDto outStoreDto);

    int updataLedger(@Param("outStoreDto") OutStoreDto outStoreDto);

    List<StockDto> storeCheckSelect();

    void insertCheckInfo(@Param("list") List<StockDto> list, @Param("id") Long checkId);
}
